Package org.gradle.language.twirl

## Interface TwirlTemplateFormat

-     @Incubating
      @Deprecated
      public interface TwirlTemplateFormat

  Deprecated.
  Twirl Template format mapping
  Since:
    4.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExtension()` | Deprecated. Extension without the leading '.'.
    `String` | `getFormatType()` | Deprecated. Fully qualified class name for the template format.
    `Collection<String>` | `getTemplateImports()` | Deprecated. Imports that are needed for this template format.

- - ### Method Detail

    - #### getExtension

          String getExtension()

      Deprecated.
      Extension without the leading '.'.
      Returns:
        file extension

    - #### getFormatType

          String getFormatType()

      Deprecated.
      Fully qualified class name for the template format.
      Returns:
        class name of the format

    - #### getTemplateImports

          Collection<String> getTemplateImports()

      Deprecated.
      Imports that are needed for this template format.

      These are just the packages or individual classes in Scala format. Use `my.package._` and not `my.package.*`.

      Returns:
        collection of imports to be added after the default Twirl imports